Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class AbstractTableRenderer.SimpleHeaderEncodeStrategy

    java.lang.Object
      org.richfaces.renderkit.AbstractTableRenderer.SimpleHeaderEncodeStrategy

All Implemented Interfaces:
  EncodeStrategy

Enclosing class:
  AbstractTableRenderer

    protected class AbstractTableRenderer.SimpleHeaderEncodeStrategy

extends java.lang.Object
implements EncodeStrategy

Constructor Summary
`protected` | `AbstractTableRenderer.SimpleHeaderEncodeStrategy()`

Method Summary
`void` | `begin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, java.lang.Object[] params)`
`void` | `end(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent column, java.lang.Object[] params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTableRenderer.SimpleHeaderEncodeStrategy

    protected AbstractTableRenderer.SimpleHeaderEncodeStrategy()

Method Detail

### begin

    public void begin(javax.faces.context.ResponseWriter writer,
                      javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent column,
                      java.lang.Object[] params)
               throws java.io.IOException

  Specified by:
    `begin` in interface `EncodeStrategy`
  Throws:
    `java.io.IOException`

### end

    public void end(javax.faces.context.ResponseWriter writer,
                    javax.faces.context.FacesContext context,
                    javax.faces.component.UIComponent column,
                    java.lang.Object[] params)
             throws java.io.IOException

  Specified by:
    `end` in interface `EncodeStrategy`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.